이 섹션의 다중 페이지 출력 화면임. 여기를 클릭하여 프린트.
Financial Management
- 1: BillingPlan
- 1.1: APIs
- 1.1.1: Change Request Planned Compute
- 1.1.1.1: 1.0
- 1.1.2: Create Request Planned Computes
- 1.1.2.1: 1.0
- 1.1.3: Get Planned Compute
- 1.1.3.1: 1.0
- 1.1.4: GetCancellationFee
- 1.1.4.1: 1.0
- 1.1.5: List Contract Type
- 1.1.5.1: 1.0
- 1.1.6: List OS System
- 1.1.6.1: 1.0
- 1.1.7: List Planned Compute Covered Resource
- 1.1.7.1: 1.0
- 1.1.8: ListPlannedComputes
- 1.1.8.1: 1.0
- 1.1.9: ListServerType
- 1.1.9.1: 1.0
- 1.1.10: ListServiceType
- 1.1.10.1: 1.0
- 1.2: Models
- 1.2.1: Amount
- 1.2.2: CancellationFeeRequest
- 1.2.3: CancellationFeeResponse
- 1.2.4: ContractTypeDTO
- 1.2.5: ContractTypeListResponse
- 1.2.6: Currency
- 1.2.7: OSTypeDTO
- 1.2.8: OSTypeListResponse
- 1.2.9: PlannedComputeChangeRequest
- 1.2.10: PlannedComputeCreateRequest
- 1.2.11: PlannedComputeDTO
- 1.2.12: PlannedComputeListResponse
- 1.2.13: PlannedComputeResourceListResponse
- 1.2.14: PlannedComputeResponse
- 1.2.15: ProductListResponse
- 1.2.16: ProductResponse
- 1.2.17: ResourceGroupTotalAmountDTO
- 1.2.18: ResourceUsedAmountDTO
- 1.2.19: ServerTypeDTO
- 1.2.20: ServerTypeListResponse
- 1.2.21: TagDTO
- 2: Budget
- 2.1: APIs
- 2.1.1: CreateAccountBudget
- 2.1.1.1: 1.0
- 2.1.2: DeleteAccountBudget
- 2.1.2.1: 1.0
- 2.1.3: ListAccountBudgets
- 2.1.3.1: 1.0
- 2.1.4: SetAccountBudget
- 2.1.4.1: 1.0
- 2.1.5: ShowAccountBudget
- 2.1.5.1: 1.0
- 2.2: Models
- 2.2.1: BudgetAccountPageResponse
- 2.2.2: BudgetAccountShowResponse
- 2.2.3: BudgetAccountUnit
- 2.2.4: BudgetCreateRequest
- 2.2.5: BudgetSetRequest
- 2.2.6: BudgetShowDetail
- 2.2.7: NotificationSetting
- 2.2.8: NotificationSettingNew
- 2.2.9: PreventionSetting
- 2.2.10: PreventionSettingNew
- 3: CostExplorer
- 3.1: APIs
- 3.1.1: GetPaymentMonthly
- 3.1.1.1: 1.0
- 3.1.2: ListBills
- 3.1.2.1: 1.0
- 3.1.3: ListUsages
- 3.1.3.1: 1.0
- 3.2: Models
- 3.2.1: Amount
- 3.2.2: BillListResponse
- 3.2.3: BillResponse
- 3.2.4: OrgPaymentMonthlyResponse
- 3.2.5: PaymentMonthlyFlatDataDto
- 3.2.6: UsageListResponse
- 3.2.7: UsageResponse
1 - BillingPlan
Overview
SCP에서 제공하는 BillingPlan 서비스를 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 BillingPlan 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|---|---|
| 1.0 | CURRENT | - |
OpenAPI URL
https://billingplan.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1.1 - APIs
1.1.1 - Change Request Planned Compute
1.1.1.1 - 1.0
put /v1/planned-computes/{planned_compute_id}
Description
Change action request planned compute.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | planned_compute_id required | Planned Compute Id Example : 5f3688a192094ddeb0c94166a3e88935 | string | None |
| body | body required | PlannedComputeChangeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PlannedComputeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/{planned_compute_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Request body
{
"action": "EXTEND_CHANGE",
"contract_type": "01",
"server_type": "s1v1m2"
}
Example HTTP response
Response 200
{
"planned_compute": {
"start_date": "2024-08-01",
"end_date": "2024-08-01",
"id": "5f3688a192094ddeb0c94166a3e88935",
"contract_id": "C002612775",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"region": "kr-west1",
"service_id": "VIRTUAL_SERVER",
"service_name": "Virtual Server",
"os_type": "OPEN_SOURCE",
"os_name": "Open Source",
"server_type": "s1v1m2",
"server_type_description": "",
"srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
"resource_type": "instance",
"contract_type": "1-year",
"next_contract_type": "1-year",
"first_contract_start_at": "2024-08-01",
"next_start_date": "2024-08-01",
"next_end_date": "2024-08-31",
"state": "ACTIVE",
"delete_yn": "N",
"resource_name": "test-vm",
"created_at": "2024-08-01 00:00:00",
"created_by": "user123",
"modified_at": "2024-08-01 00:00:00",
"modified_by": "kim"
}
}
1.1.2 - Create Request Planned Computes
1.1.2.1 - 1.0
post /v1/planned-computes
Description
Create request planned compute.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | PlannedComputeCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PlannedComputeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Request body
{
"service_id": "VIRTUAL_SERVER",
"service_name": "Virtual Server",
"server_type": "s1v1m2",
"os_type": "OPEN_SOURCE",
"contract_type": "01",
"tag": [
{
"key": "key1",
"value": "value1"
}
]
}
Example HTTP response
Response 200
{
"planned_compute": {
"start_date": "2024-08-01",
"end_date": "2024-08-01",
"id": "5f3688a192094ddeb0c94166a3e88935",
"contract_id": "C002612775",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"region": "kr-west1",
"service_id": "VIRTUAL_SERVER",
"service_name": "Virtual Server",
"os_type": "OPEN_SOURCE",
"os_name": "Open Source",
"server_type": "s1v1m2",
"server_type_description": "",
"srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
"resource_type": "instance",
"contract_type": "1-year",
"next_contract_type": "1-year",
"first_contract_start_at": "2024-08-01",
"next_start_date": "2024-08-01",
"next_end_date": "2024-08-31",
"state": "ACTIVE",
"delete_yn": "N",
"resource_name": "test-vm",
"created_at": "2024-08-01 00:00:00",
"created_by": "user123",
"modified_at": "2024-08-01 00:00:00",
"modified_by": "kim"
}
}
1.1.3 - Get Planned Compute
1.1.3.1 - 1.0
get /v1/planned-computes/{planned_compute_id}
Description
Get planned compute.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | planned_compute_id required | Planned Compute Id Example : 5f3688a192094ddeb0c94166a3e88935 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PlannedComputeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/planned-computes/{planned_compute_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"planned_compute": {
"start_date": "2024-08-01",
"end_date": "2024-08-01",
"id": "5f3688a192094ddeb0c94166a3e88935",
"contract_id": "C002612775",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"region": "kr-west1",
"service_id": "VIRTUAL_SERVER",
"service_name": "Virtual Server",
"os_type": "OPEN_SOURCE",
"os_name": "Open Source",
"server_type": "s1v1m2",
"server_type_description": "",
"srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
"resource_type": "instance",
"contract_type": "1-year",
"next_contract_type": "1-year",
"first_contract_start_at": "2024-08-01",
"next_start_date": "2024-08-01",
"next_end_date": "2024-08-31",
"state": "ACTIVE",
"delete_yn": "N",
"resource_name": "test-vm",
"created_at": "2024-08-01 00:00:00",
"created_by": "user123",
"modified_at": "2024-08-01 00:00:00",
"modified_by": "kim"
}
}
1.1.4 - GetCancellationFee
1.1.4.1 - 1.0
post /v1/planned-computes/cancellation-fee
Description
Get Cancellation Fee
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | CancellationFeeRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | CancellationFeeResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/cancellation-fee
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Request body
{
"region": "kr-west1",
"planned_compute_id": "5f3688a192094ddeb0c94166a3e88935"
}
Example HTTP response
Response 200
{
"bill_year_month": "2022-10",
"cancellation_fee": 100000,
"currency": {
"code": "KRW",
"symbol": "₩"
}
}
1.1.5 - List Contract Type
1.1.5.1 - 1.0
get /v1/planned-computes/contract-types
Description
Get Contract Type List.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | service_id optional | Service Id Example : VIRTUAL_SERVER | string | None |
| query | server_type optional | Server Type Example : s1v1m2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ContractTypeListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/contract-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"contract_types": [
{
"code": "01",
"display_name": "1-year"
}
],
"extension_types": [
{
"code": "01",
"display_name": "1-year"
}
]
}
1.1.6 - List OS System
1.1.6.1 - 1.0
get /v1/planned-computes/os-types
Description
Get Os System List.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | service_id optional | Service Id Example : VIRTUAL_SERVER | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OSTypeListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/os-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"os_types": [
{
"os_type_id": "OPEN_SOURCE",
"display_name": "Open Source",
"os_type_value": "opensource"
}
]
}
1.1.7 - List Planned Compute Covered Resource
1.1.7.1 - 1.0
get /v1/planned-computes/instances
Description
Get Planned Compute Covered Resource List.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | service_id required | Service Id Example : VIRTUAL_SERVER | string | None |
| query | os_type required | OS Type Example : OPEN_SOURCE | string | None |
| query | server_type required | Server Type Example : s1v1m2 | string | None |
| query | start_date required | Start date (YYYY-MM-dd) Example : 2024-08-01 | string | None |
| query | end_date required | End date (YYYY-MM-dd) Example : 2024-08-01 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PlannedComputeResourceListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/instances?service_id={service_id}&os_type={os_type}&server_type={server_type}&start_date={start_date}&end_date={end_date}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"service": {
"service_id": "VIRTUAL_SERVER",
"display_name": "Virtual Server"
},
"server_type": "s1v1m2",
"server_type_description": "",
"os": "OPEN_SOURCE",
"order_count": "0",
"amount": {
"no_contract_used": 0,
"used": 0,
"non_applied": 0,
"total": 0
},
"coverages": [
{
"resource_name": "test-vm",
"contract_id": "C002612775",
"used_time": "10",
"unit_price": {
"krw": "0.000",
"usd": "0.00"
},
"used_amount": {
"krw": "0.000",
"usd": "0.00"
},
"non_applied_amount": {
"krw": "0.000",
"usd": "0.00"
},
"request_at": "2024-08-01 00:00:00"
}
]
}
1.1.8 - ListPlannedComputes
1.1.8.1 - 1.0
get /v1/planned-computes
Description
Get planned compute list.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | limit optional | LIMIT Example : 10 | integer | None |
| query | page optional | Page Example : 1 | integer | None |
| query | start_date optional | Start date (YYYY-MM-dd) Example : 2024-08-01 | string | None |
| query | end_date optional | End date (YYYY-MM-dd) Example : 2024-08-01 | string | None |
| query | server_type optional | Server Type Example : s1v1m2 | any of [string, null] | None |
| query | contract_id optional | Contract Id Example : C002612775 | any of [string, null] | None |
| query | contract_type optional | Contract Type Example : 01 | array[string] | None |
| query | next_contract_type optional | Next Contract Type Example : 01 | array[string] | None |
| query | service_id optional | Service Id Example : VIRTUAL_SERVER | array[string] | None |
| query | os_type optional | OS Type Example : OPEN_SOURCE | array[string] | None |
| query | state optional | Planned Compute State Example : ACTIVE | array[string] | None |
| query | created_by optional | Created by Example : user123 | string | None |
| query | modified_by optional | Modified by Example : kim | string | None |
| query | sort optional | Sort Example : created_by:asc | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | PlannedComputeListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"planned_computes": [
{
"start_date": "2024-08-01",
"end_date": "2024-08-01",
"id": "5f3688a192094ddeb0c94166a3e88935",
"contract_id": "C002612775",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"region": "kr-west1",
"service_id": "VIRTUAL_SERVER",
"service_name": "Virtual Server",
"os_type": "OPEN_SOURCE",
"os_name": "Open Source",
"server_type": "s1v1m2",
"server_type_description": "",
"srn": "srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m",
"resource_type": "instance",
"contract_type": "1-year",
"next_contract_type": "1-year",
"first_contract_start_at": "2024-08-01",
"next_start_date": "2024-08-01",
"next_end_date": "2024-08-31",
"state": "ACTIVE",
"delete_yn": "N",
"resource_name": "test-vm",
"created_at": "2024-08-01 00:00:00",
"created_by": "user123",
"modified_at": "2024-08-01 00:00:00",
"modified_by": "kim"
}
],
"total_pages": "0",
"total_count": "0",
"current_page": "0"
}
1.1.9 - ListServerType
1.1.9.1 - 1.0
get /v1/planned-computes/server-types
Description
Get Server Type List
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | service_id optional | Service Id Example : VIRTUAL_SERVER | string | None |
| query | current_server_type optional | Server Type Example : s1v1m2 | any of [string, null] | None |
| query | os_type optional | OS Type Example : OPEN_SOURCE | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerTypeListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/server-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"server_types": [
{
"server_type": "s1v1m2",
"server_type_description": "",
"instance_type": "s1",
"core": "1",
"memory_gb": "2",
"gpu_name": "a100",
"scale_up_yn": "Y"
}
]
}
1.1.10 - ListServiceType
1.1.10.1 - 1.0
get /v1/planned-computes/service-types
Description
Get Service Type List
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ProductListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/planned-computes/service-types
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = billingplan 1.0"
Example HTTP response
Response 200
{
"services": [
{
"service_id": "VIRTUAL_SERVER",
"display_name": "Virtual Server"
}
]
}
1.2 - Models
1.2.1 - Amount
| Name | Description | Schema | Default |
|---|---|---|---|
| krw optional | KRW amount Example : 0.000 | string | 0.000 |
| usd optional | USD amount Example : 0.00 | string | 0.00 |
1.2.2 - CancellationFeeRequest
| Name | Description | Schema | Default |
|---|---|---|---|
| region optional | Region Example : kr-west1 | any of [string, null] | |
| planned_compute_id required | Planned Compute Id Example : 5f3688a192094ddeb0c94166a3e88935 | array[string] |
1.2.3 - CancellationFeeResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| bill_year_month required | Bill year Month Example : 2022-10 | string | |
| cancellation_fee optional | 해지 수수료 Example : 100000 | string | |
| currency required | Currency |
1.2.4 - ContractTypeDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| code optional | Contract Code Example : 01 | any of [string, null] | |
| display_name optional | Display Name Example : 1-year | any of [string, null] |
1.2.5 - ContractTypeListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| contract_types required | array[ContractTypeDTO] | ||
| extension_types required | array[ContractTypeDTO] |
1.2.6 - Currency
| Name | Description | Schema | Default |
|---|---|---|---|
| code optional | Currency code Example : KRW | string | KRW |
| symbol optional | Currency Symbol Example : ₩ | string | ₩ |
1.2.7 - OSTypeDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| os_type_id optional | OS Type id Example : OPEN_SOURCE | any of [string, null] | |
| display_name optional | Display Name Example : Open Source | any of [string, null] | |
| os_type_value optional | Display Name Example : opensource | any of [string, null] |
1.2.8 - OSTypeListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| os_types required | array[OSTypeDTO] |
1.2.9 - PlannedComputeChangeRequest
| Name | Description | Schema | Default |
|---|---|---|---|
| action optional | Planned Compute change request action type Example : EXTEND_CHANGE | enum (EXTEND_APPLY, EXTEND_CHANGE, EXTEND_CANCEL, SERVER_TYPE_CHANGE, CONTRACT_CANCEL, CHANGE_START_DATE, CREATE_PLAN) | |
| contract_type optional | Contract type is required in the case of EXTEND_APPLY or EXTEND_CHANGE Example : 01 | any of [enum (01, 03, 05), null] | |
| server_type optional | Server Type is required in the case of SERVER_TYPE_CHANGE Example : s1v1m2 | any of [string, null] |
1.2.10 - PlannedComputeCreateRequest
| Name | Description | Schema | Default |
|---|---|---|---|
| service_id required | Service Id Example : VIRTUAL_SERVER | string | |
| service_name optional | Service Name Example : Virtual Server | string | |
| server_type required | Server Type Example : s1v1m2 | string | |
| os_type required | OS Type Example : OPEN_SOURCE | enum (opensource, rhel, windows, sles) | |
| contract_type required | Contract Type Example : 01 | enum (01, 03, 05) | |
| tag optional | Tag Form | array[TagDTO] |
1.2.11 - PlannedComputeDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| start_date optional | Start date (YYYY-MM-dd) Example : 2024-08-01 | string | |
| end_date optional | End date (YYYY-MM-dd) Example : 2024-08-01 | string | |
| id optional | Planned Compute Id Example : 5f3688a192094ddeb0c94166a3e88935 | any of [string, null] | |
| contract_id optional | Contract Id Example : C002612775 | any of [string, null] | |
| account_id optional | Account Id Example : 228cb9e4a7934f84853594c7f26f7a21 | string | |
| region optional | Region Example : kr-west1 | string | |
| service_id optional | Service Id Example : VIRTUAL_SERVER | string | |
| service_name optional | Service Name Example : Virtual Server | string | |
| os_type optional | OS Type Example : OPEN_SOURCE | string | |
| os_name optional | OS Name Example : Open Source | string | |
| server_type optional | Server Type Example : s1v1m2 | string | |
| server_type_description optional | Server Type Description Example : | object | |
| srn optional | SRN Example : srn:e::26affb52e16944038a0cd2cc26060e1c:kr1-west1::compute:instance/INSTANCE-UPOg3Z6ZqyiMM0QyC3sI2m | string | |
| resource_type optional | Resource Type Example : instance | string | |
| contract_type optional | Contract Type Example : 1-year | string | 01 |
| next_contract_type optional | Next Contract Type Example : 1-year | any of [string, null] | |
| first_contract_start_at optional | Start date (YYYY-MM-dd) Example : 2024-08-01 | string | |
| next_start_date optional | Next Start date (YYYY-MM-dd) Example : 2024-08-01 | any of [string, null] | |
| next_end_date optional | Next End date (YYYY-MM-dd) Example : 2024-08-31 | any of [string, null] | |
| state optional | Planned Compute State Example : ACTIVE | string | ACTIVE |
| delete_yn optional | Delete or not Example : N | any of [string, null] | |
| resource_name optional | Resource Name Example : test-vm | any of [string, null] | |
| created_at optional | Created date Example : 2024-08-01 00:00:00 | string (date-time) | |
| created_by optional | Created by Example : user123 | any of [string, null] | |
| modified_at optional | Modified date Example : 2024-08-01 00:00:00 | string (date-time) | |
| modified_by optional | Modified by Example : kim | any of [string, null] |
1.2.12 - PlannedComputeListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| planned_computes required | array[PlannedComputeDTO] | ||
| total_pages optional | Total Pages Example : 0 | integer | |
| total_count optional | Total Count Example : 0 | integer | |
| current_page optional | Current Page Example : 0 | integer |
1.2.13 - PlannedComputeResourceListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| service optional | Product Type Name | ProductResponse | |
| server_type optional | Server Type Example : s1v1m2 | string | |
| server_type_description optional | Server Type Description Example : | object | |
| os optional | OS Type Example : OPEN_SOURCE | OSTypeDTO | |
| order_count optional | Order Count Example : 0 | integer | |
| amount optional | Resource Group Amount | ResourceGroupTotalAmountDTO | |
| coverages required | array[ResourceUsedAmountDTO] |
1.2.14 - PlannedComputeResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| planned_compute required | PlannedComputeDTO |
1.2.15 - ProductListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| services required | array[ProductResponse] |
1.2.16 - ProductResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| service_id optional | Service Id Example : VIRTUAL_SERVER | any of [string, null] | |
| display_name optional | Display Name Example : Virtual Server | any of [string, null] |
1.2.17 - ResourceGroupTotalAmountDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| no_contract_used optional | No Contract Used Example : 0 | any of [Amount, null] | |
| used optional | Used amount Example : 0 | any of [Amount, null] | |
| non_applied optional | Non Applied Amount Example : 0 | any of [Amount, null] | |
| total optional | Total Amounts Example : 0 | any of [Amount, null] |
1.2.18 - ResourceUsedAmountDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| resource_name optional | Resource Name Example : test-vm | any of [string, null] | |
| contract_id optional | Contract Id Example : C002612775 | any of [string, null] | |
| used_time optional | Used time Hour Example : 10 | any of [integer, null] | |
| unit_price optional | Unit Price | any of [Amount, null] | |
| used_amount optional | Used amount | any of [Amount, null] | |
| non_applied_amount optional | Non Applied Amount | any of [Amount, null] | |
| request_at optional | Request At Example : 2024-08-01 00:00:00 | any of [string, null] |
1.2.19 - ServerTypeDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| server_type optional | Server Type Example : s1v1m2 | any of [string, null] | |
| server_type_description optional | Server Type Description Example : | any of [string, null] | |
| instance_type optional | Instance Type Example : s1 | any of [string, null] | |
| core optional | Instance Core Example : 1 | any of [string, null] | |
| memory_gb optional | Instance Memory GB Example : 2 | any of [string, null] | |
| gpu_name optional | Gpu Model Name Example : a100 | any of [string, null] | |
| scale_up_yn optional | Scale up or not. If server_type > current_server_type, it’s represented as Y. if smaller N. Example : Y | boolean | True |
1.2.20 - ServerTypeListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| server_types required | array[ServerTypeDTO] |
1.2.21 - TagDTO
| Name | Description | Schema | Default |
|---|---|---|---|
| key required | Tag Key Example : key1 | string | |
| value optional | Tag Value Example : value1 | any of [string, null] |
2 - Budget
Overview
SCP에서 제공하는 Budget 서비스를 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 Budget 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|
OpenAPI URL
https://budget.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
2.1 - APIs
2.1.1 - CreateAccountBudget
2.1.1.1 - 1.0
post /v1/budgets/account
Description
어카운트 예산 생성
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| body | body required | BudgetCreateRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | BudgetAccountShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/budgets/account
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"
Request body
{
"amount": 1000000,
"name": "test_budget",
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
},
"start_month": "2026-01",
"unit": "MONTHLY"
}
Example HTTP response
Response 201
{
"budget": {
"amount": 1000000,
"created_at": "2025-11-01T00:00:00",
"created_by": "TEST",
"id": "240200fd2b02490ca63bb3965048b493",
"modified_at": "2025-11-01T00:00:00",
"modified_by": "TEST",
"name": "my_budget_ex",
"start_month": "2025-11",
"type": "COST",
"unit": "MONTHLY"
},
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
}
}
2.1.2 - DeleteAccountBudget
2.1.2.1 - 1.0
delete /v1/budgets/account/{budget_id}
Description
어커운트 예산 삭제
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | budget_id required | Budget id Example : 240200fd2b02490ca63bb3965048b493 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 204 | No Content | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/budgets/account/{budget_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"
Example HTTP response
Response 204
2.1.3 - ListAccountBudgets
2.1.3.1 - 1.0
get /v1/budgets/account
Description
어카운트 예산 목록 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | search_name optional | Budget name Example : my_budget_ex | any of [string, null] | None |
| query | budget_name optional | Budget name Example : my_budget_ex | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BudgetAccountPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/budgets/account
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"
Example HTTP response
Response 200
{
"budgets": [
{
"amount": 1000000,
"created_at": "2025-11-01T00:00:00",
"created_by": "TEST",
"id": "240200fd2b02490ca63bb3965048b493",
"modified_at": "2025-11-01T00:00:00",
"modified_by": "TEST",
"name": "my_budget_ex",
"start_month": "2025-11",
"type": "COST",
"unit": "MONTHLY"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
2.1.4 - SetAccountBudget
2.1.4.1 - 1.0
put /v1/budgets/account/{budget_id}
Description
어카운트 예산 수정
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | budget_id required | Budget id Example : 240200fd2b02490ca63bb3965048b493 | string | None |
| body | body required | BudgetSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BudgetAccountShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/budgets/account/{budget_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"
Request body
{
"amount": 1000000,
"name": "test_budget",
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
},
"start_month": "2026-01",
"unit": "MONTHLY"
}
Example HTTP response
Response 200
{
"budget": {
"amount": 1000000,
"created_at": "2025-11-01T00:00:00",
"created_by": "TEST",
"id": "240200fd2b02490ca63bb3965048b493",
"modified_at": "2025-11-01T00:00:00",
"modified_by": "TEST",
"name": "my_budget_ex",
"start_month": "2025-11",
"type": "COST",
"unit": "MONTHLY"
},
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
}
}
2.1.5 - ShowAccountBudget
2.1.5.1 - 1.0
get /v1/budgets/account/{budget_id}
Description
어카운트 예산 상세 조회
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | budget_id required | Budget id Example : 240200fd2b02490ca63bb3965048b493 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 201 | Created | BudgetAccountShowResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/budgets/account/{budget_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = budget 1.0"
Example HTTP response
Response 201
{
"budget": {
"amount": 1000000,
"created_at": "2025-11-01T00:00:00",
"created_by": "TEST",
"id": "240200fd2b02490ca63bb3965048b493",
"modified_at": "2025-11-01T00:00:00",
"modified_by": "TEST",
"name": "my_budget_ex",
"start_month": "2025-11",
"type": "COST",
"unit": "MONTHLY"
},
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
}
}
2.2 - Models
2.2.1 - BudgetAccountPageResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| budgets required | array[BudgetAccountUnit] | ||
| count required | count Example : 20 | integer | |
| page required | page Example : 0 | integer | |
| size required | size Example : 20 | integer | |
| sort optional | sort Example : ['created_at:asc'] | any of [array[string], null] |
2.2.2 - BudgetAccountShowResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| budget required | BudgetShowDetail | ||
| notifications required | NotificationSetting | ||
| prevention required | PreventionSetting |
2.2.3 - BudgetAccountUnit
| Name | Description | Schema | Default |
|---|---|---|---|
| amount required | Budget amount Example : 1000000 | integer | |
| created_at optional | Created datetime Example : 2025-11-01T00:00:00 | string (date-time) | |
| created_by optional | Created user Example : TEST | string | |
| id required | Budget id Example : 240200fd2b02490ca63bb3965048b493 | string | |
| modified_at optional | Modified datetime Example : 2025-11-01T00:00:00 | string (date-time) | |
| modified_by optional | Modified user Example : TEST | string | |
| name required | Budget name Example : my_budget_ex | string | |
| start_month required | Budget start month (ex.YYYY-MM) Example : 2025-11 | string | |
| type required | Budget type Example : COST | string | |
| unit required | Budget management unit (MONTHLY or OVERALL) Example : MONTHLY | string |
2.2.4 - BudgetCreateRequest
| Name | Description | Schema | Default |
|---|---|---|---|
| amount required | Budget amount Example : 1000000 | integer | |
| name required | Budget name Example : test_budget | string | |
| notifications optional | Notification settings for the budget. | any of [NotificationSettingNew, null] | |
| prevention optional | Auto generation prevention settings for the budget. | any of [PreventionSettingNew, null] | |
| start_month required | Budget start month (ex.YYYY-MM) Example : 2026-01 | string | |
| unit required | Budget management unit (MONTHLY or OVERALL) Example : MONTHLY | string |
2.2.5 - BudgetSetRequest
| Name | Description | Schema | Default |
|---|---|---|---|
| amount required | Budget amount Example : 1000000 | integer | |
| name required | Budget name Example : test_budget | string | |
| notifications optional | Notification settings for the budget. | any of [NotificationSettingNew, null] | |
| prevention optional | Auto generation prevention settings for the budget. | any of [PreventionSettingNew, null] | |
| start_month required | Budget start month (ex.YYYY-MM) Example : 2026-01 | string | |
| unit required | Budget management unit (MONTHLY or OVERALL) Example : MONTHLY | string |
2.2.6 - BudgetShowDetail
| Name | Description | Schema | Default |
|---|---|---|---|
| amount required | Budget amount Example : 1000000 | integer | |
| created_at optional | Created datetime Example : 2025-11-01T00:00:00 | string (date-time) | |
| created_by optional | Created user Example : TEST | string | |
| id required | Budget id Example : 240200fd2b02490ca63bb3965048b493 | string | |
| modified_at optional | Modified datetime Example : 2025-11-01T00:00:00 | string (date-time) | |
| modified_by optional | Modified user Example : TEST | string | |
| name required | Budget name Example : my_budget_ex | string | |
| start_month required | Budget start month (ex.YYYY-MM) Example : 2025-11 | string | |
| type required | Budget type Example : COST | string | |
| unit required | Budget management unit (MONTHLY or OVERALL) Example : MONTHLY | string |
2.2.7 - NotificationSetting
| Name | Description | Schema | Default |
|---|---|---|---|
| is_use_notification optional | Notification use state Example : True | any of [boolean, null] | True |
| notification_send_period optional | The notification frequency can be FIRST, DAILY, or NONE. Example : FIRST | any of [string, null] | FIRST |
| receivers optional | Threshold exceed notification recipient email list. Example : ['test_user1@test.com', 'test_user2@test.com'] | any of [array[string], null] | [’test_user1@test.com’, ’test_user2@test.com'] |
| thresholds optional | Thresholds for receiving threshold exceed notification email: 70/80/90/100. Example : [80] | any of [array[integer], null] | [80] |
2.2.8 - NotificationSettingNew
| Name | Description | Schema | Default |
|---|---|---|---|
| is_use_notification optional | Notification use state Example : True | any of [boolean, null] | True |
| notification_send_period optional | The notification frequency can be FIRST, DAILY, or NONE. Example : FIRST | any of [string, null] | FIRST |
| receivers optional | Threshold exceed notification recipient email list. Example : ['test_user1@test.com', 'test_user2@test.com'] | any of [array[string], null] | [’test_user1@test.com’, ’test_user2@test.com'] |
| thresholds optional | Thresholds for receiving threshold exceed notification email: 70/80/90/100. Example : [80] | any of [array[integer], null] | [80] |
2.2.9 - PreventionSetting
| Name | Description | Schema | Default |
|---|---|---|---|
| is_use_prevention optional | Auto Generation prevent use state Example : True | any of [boolean, null] | True |
| receivers optional | Prevention notification recipient email list. Example : ['test_user1@test.com', 'test_user2@test.com'] | any of [array[string], null] | [’test_user1@test.com’, ’test_user2@test.com'] |
| threshold optional | Threshold for receiving prevention notification email: 70/80/90/100. Example : 80 | any of [integer, null] | 80 |
2.2.10 - PreventionSettingNew
| Name | Description | Schema | Default |
|---|---|---|---|
| is_use_prevention optional | Auto Generation prevent use state Example : True | any of [boolean, null] | True |
| receivers optional | Prevention notification recipient email list. Example : ['test_user1@test.com', 'test_user2@test.com'] | any of [array[string], null] | [’test_user1@test.com’, ’test_user2@test.com'] |
| threshold optional | Threshold for receiving prevention notification email: 70/80/90/100. Example : 80 | any of [integer, null] | 80 |
3 - CostExplorer
Overview
SCP에서 제공하는 CostExplorer 서비스를 프로그램적으로 이용할 수 있도록 지원하는 응용 프로그램 인터페이스(Application Programming Interface, API)를 제공합니다.
본 가이드는 CostExplorer 서비스에 대한 간략한 설명 및 API를 호출하는 방법을 제공합니다. API는 RESTful API 방식으로 제공되며, JSON 형식으로 응답합니다.
Version
| Version | Status | Supported Until |
|---|---|---|
| 1.0 | CURRENT | - |
OpenAPI URL
https://costexplorer.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
3.1 - APIs
3.1.1 - GetPaymentMonthly
3.1.1.1 - 1.0
get /v1/payments/monthly
Description
Get payment monthly data.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | Size Example : 10 | any of [integer, null] | 20 |
| query | page optional | Page Example : 1 | any of [integer, null] | 1 |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | OrgPaymentMonthlyResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/payments/monthly
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = costexplorer 1.0"
Example HTTP response
Response 200
{
"count": 20,
"size": 10,
"page": 1,
"payments": [
{
"payer_account_id": "228cb9e4a7934f84853594c7f26f7a21",
"payer_account_name": "test-account",
"payer_account_type": "MEMBER",
"bill_year_month": "2024-08",
"used_year_month": "2024-08",
"payment_date": "2024-08-01",
"bill_currency": "KRW",
"payment_currency": "KRW",
"payment_state": "PAID",
"bill_amount": {
"krw": "0.000",
"usd": "0.00"
},
"used_amount": {
"krw": "0.000",
"usd": "0.00"
},
"unpaid_amount": {
"krw": "0.000",
"usd": "0.00"
},
"paid_amount": {
"krw": "0.000",
"usd": "0.00"
},
"accumulated_unpaid_amount": {
"krw": "0.000",
"usd": "0.00"
},
"suspended_year_month": "2024-08"
}
]
}
3.1.2 - ListBills
3.1.2.1 - 1.0
get /v1/bills
Description
Get bill list.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | start_year_month optional | Start year-month (YYYY-mm) Example : 2024-08 | any of [string, null] | None |
| query | end_year_month optional | End year-month (YYYY-mm) Example : 2024-08 | any of [string, null] | None |
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | limit Example : 20 | any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | account_id optional | Account Id Example : 228cb9e4a7934f84853594c7f26f7a21 | any of [string, array[string], null] | None |
| query | service_category optional | Service Category Example : COMPUTE | any of [string, array[string], null] | None |
| query | billing_item_id optional | Billing Item Id Example : VIRTUAL_SERVER | any of [string, array[string], null] | None |
| query | resource_name optional | Resource Name Example : test-vm | any of [string, null] | None |
| query | region optional | Region Example : kr-west1 | any of [string, array[string], null] | None |
| query | contract_id optional | Contract Id Example : C002612775 | any of [string, null] | None |
| query | order_status optional | CCBS Order Status Example : 04 | any of [string, null] | None |
| query | bill_year_month optional | Bill Date (YYYY-MM) Example : 2024-07 | any of [string, null] | None |
| query | bill_state optional | Billing State Example : USED | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BillListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/bills
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = costexplorer 1.0"
Example HTTP response
Response 200
{
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"bills": [
{
"amounts": {
"krw": "500.000",
"usd": "0.000"
},
"discount_amounts": {
"krw": "500.000",
"usd": "0.000"
},
"asset": {
"krw": "500.000",
"usd": "0.000"
},
"operation": {
"krw": "500.000",
"usd": "0.000"
},
"option": {
"krw": "500.000",
"usd": "0.000"
},
"support_plan": {
"krw": "500.000",
"usd": "0.000"
},
"cancellation_fee": {
"krw": "500.000",
"usd": "0.000"
},
"planned_compute": {
"krw": "500.000",
"usd": "0.000"
},
"msp_discount": {
"krw": "500.000",
"usd": "0.000"
},
"new_business_discount": {
"krw": "500.000",
"usd": "0.000"
},
"sales_discount": {
"krw": "500.000",
"usd": "0.000"
},
"sla_discount": {
"krw": "500.000",
"usd": "0.000"
},
"reseller_discount": {
"krw": "500.000",
"usd": "0.000"
},
"account_cost_savings": {
"krw": "500.000",
"usd": "0.000"
},
"project_cost_savings": {
"krw": "500.000",
"usd": "0.000"
},
"account_credit": {
"krw": "500.000",
"usd": "0.000"
},
"project_credit": {
"krw": "500.000",
"usd": "0.000"
},
"edp": {
"krw": "500.000",
"usd": "0.000"
},
"id": "5f3688a192094ddeb0c94166a3e88935",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"service_category": "COMPUTE",
"billing_item_id": "VIRTUAL_SERVER",
"resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
"resource_name": "test-vm",
"region": "kr-west1",
"contract_id": "C002612775",
"order_status": "04",
"bill_year_month": "2024-07",
"bill_state": "USED"
}
]
}
3.1.3 - ListUsages
3.1.3.1 - 1.0
get /v1/usages
Description
Get usage list.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | start_date optional | Start date (YYYY-MM-dd) Example : 2024-08-01 | string | None |
| query | end_date optional | End date (YYYY-MM-dd) Example : 2024-08-01 | string | None |
| query | with_count optional | with count Example : true | any of [string, null] | None |
| query | limit optional | limit Example : 20 | any of [integer, null] | None |
| query | marker optional | marker Example : 607e0938521643b5b4b266f343fae693 | any of [string, null] | None |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | account_id optional | Account Id Example : 228cb9e4a7934f84853594c7f26f7a21 | any of [string, array[string], null] | None |
| query | service_category optional | Service Category Example : COMPUTE | any of [string, array[string], null] | None |
| query | billing_item_id optional | Billing Item Id Example : VIRTUAL_SERVER | any of [string, array[string], null] | None |
| query | resource_name optional | Resource Name Example : test-vm | any of [string, null] | None |
| query | region optional | Region Example : kr-west1 | any of [string, array[string], null] | None |
| query | contract_id optional | Contract Id Example : C002612775 | any of [string, null] | None |
| query | order_status optional | CCBS Order Status Example : 04 | any of [string, array[string], null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | UsageListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/usages
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = costexplorer 1.0"
Example HTTP response
Response 200
{
"timezone": "Asia/Seoul",
"count": 20,
"links": [
{
"href": "http://scp.samsungsdscloud.com/v1/notices",
"rel": "self"
}
],
"usages": [
{
"id": "5f3688a192094ddeb0c94166a3e88935",
"account_id": "228cb9e4a7934f84853594c7f26f7a21",
"service_category": "COMPUTE",
"billing_item_id": "VIRTUAL_SERVER",
"ccbs_product_code": "PD00013862",
"resource_id": "7f6741f3-d9f0-4262-9a5f-627e373567a7",
"contract_id": "C002612775",
"order_status": "04",
"usage_date": "2024-08-01T00:00:00",
"amounts": {
"krw": "500.0000000000",
"usd": "0.0"
},
"status_code": "0"
}
]
}
3.2 - Models
3.2.1 - Amount
| Name | Description | Schema | Default |
|---|---|---|---|
| krw optional | KRW amount Example : 0.000 | string | 0.000 |
| usd optional | USD amount Example : 0.00 | string | 0.00 |
3.2.2 - BillListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| count optional | 전체 개수 Example : 20 | any of [integer, null] | |
| links optional | links Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}] | any of [array[object], null] | |
| bills required | array[BillResponse] |
3.2.3 - BillResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| amounts optional | Total Amounts Example : {'krw': '500.000', 'usd': '0.000'} | Amount | |
| discount_amounts optional | Total Discount Amounts Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| asset optional | Asset amount Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| operation optional | Operation amount Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| option optional | Option amount Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| support_plan optional | Support Plan Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| cancellation_fee optional | 해지 수수료 Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| planned_compute optional | Planned Compute Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| msp_discount optional | MSP 할인 Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| new_business_discount optional | 신규 사업 할인 Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| sales_discount optional | 영업(기타) 할인 Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| sla_discount optional | SLA Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| reseller_discount optional | 리셀러 할인 Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| account_cost_savings optional | Account Cost Savings Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| project_cost_savings optional | Project Cost Savings Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| account_credit optional | Account Credit Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| project_credit optional | Project Credit Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| edp optional | EDP Example : {'krw': '500.000', 'usd': '0.000'} | any of [Amount, null] | |
| id optional | Bill Id Example : 5f3688a192094ddeb0c94166a3e88935 | any of [string, null] | |
| account_id optional | Account Id Example : 228cb9e4a7934f84853594c7f26f7a21 | any of [string, null] | |
| service_category optional | Service Category Example : COMPUTE | any of [string, null] | |
| billing_item_id optional | Billing Item Id Example : VIRTUAL_SERVER | any of [string, array[string], null] | |
| resource_id optional | Resource Id Example : 7f6741f3-d9f0-4262-9a5f-627e373567a7 | any of [string, null] | |
| resource_name optional | Resource Name Example : test-vm | any of [string, null] | |
| region optional | Region Example : kr-west1 | any of [string, null] | |
| contract_id optional | Contract Id Example : C002612775 | any of [string, null] | |
| order_status optional | CCBS Order Status Example : 04 | any of [string, null] | |
| bill_year_month required | Bill year Month Example : 2024-07 | string | |
| bill_state optional | Billing State Example : USED | any of [string, null] |
3.2.4 - OrgPaymentMonthlyResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| count required | Count Example : 20 | integer | |
| size required | Size Example : 10 | integer | |
| page required | Page Example : 1 | integer | |
| payments optional | array[PaymentMonthlyFlatDataDto] |
3.2.5 - PaymentMonthlyFlatDataDto
| Name | Description | Schema | Default |
|---|---|---|---|
| payer_account_id optional | Payer Account Id Example : 228cb9e4a7934f84853594c7f26f7a21 | string | |
| payer_account_name optional | Payer Account Name Example : test-account | string | |
| payer_account_type optional | Payer Account Type Example : MEMBER | string | |
| bill_year_month optional | Bill year Month Example : 2024-08 | string | |
| used_year_month optional | Year-Month (YYYY-mm) Example : 2024-08 | string | |
| payment_date optional | Payment date Example : 2024-08-01 | any of [string, null] | |
| bill_currency optional | Currency Example : KRW | any of [string, null] | krw |
| payment_currency optional | Currency Example : KRW | any of [string, null] | krw |
| payment_state optional | Billing State Example : PAID | any of [string, null] | |
| bill_amount optional | any of [Amount, null] | ||
| used_amount optional | any of [Amount, null] | ||
| unpaid_amount optional | any of [Amount, null] | ||
| paid_amount optional | any of [Amount, null] | ||
| accumulated_unpaid_amount optional | any of [Amount, null] | ||
| suspended_year_month optional | Year-Month (YYYY-mm) Example : 2024-08 | any of [string, null] |
3.2.6 - UsageListResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| timezone optional | Timezone Example : Asia/Seoul | string | Asia/Seoul |
| count optional | 전체 개수 Example : 20 | any of [integer, null] | |
| links optional | links Example : [{'href': 'http://scp.samsungsdscloud.com/v1/notices', 'rel': 'self'}] | any of [array[object], null] | |
| usages required | array[UsageResponse] |
3.2.7 - UsageResponse
| Name | Description | Schema | Default |
|---|---|---|---|
| id optional | Usages Id Example : 5f3688a192094ddeb0c94166a3e88935 | string | |
| account_id optional | Account Id Example : 228cb9e4a7934f84853594c7f26f7a21 | string | |
| service_category optional | Service Category Example : COMPUTE | string | |
| billing_item_id optional | Billing Item Id Example : VIRTUAL_SERVER | string | |
| ccbs_product_code optional | CCBS Product Code Example : PD00013862 | string | |
| resource_id optional | Resource Id Example : 7f6741f3-d9f0-4262-9a5f-627e373567a7 | string | |
| contract_id optional | Contract Id Example : C002612775 | string | |
| order_status optional | CCBS Order Status Example : 04 | any of [string, array[string], null] | |
| usage_date optional | Usage date Example : 2024-08-01T00:00:00 | any of [string (date-time), null] | |
| amounts optional | Amount Example : {'krw': '500.0000000000', 'usd': '0.0'} | any of [Amount, null] | |
| status_code optional | Usage status code Example : 0 | any of [integer, null] |